/*
 * @Author: micky 1254597151@qq.com
 * @Date: 2023-08-14 15:56:31
 * @LastEditors: micky 1254597151@qq.com
 * @LastEditTime: 2023-10-13 16:28:32
 * @FilePath: \housekeeping-admin\src\api\order\subscribe.ts
 * @Description: 这是默认设置,请设置`customMade`, 打开koroFileHeader查看配置 进行设置: https://github.com/OBKoro1/koro1FileHeader/wiki/%E9%85%8D%E7%BD%AE
 */
import request from '@/utils/request'

// 获取预约天数
export function apiGetOrderTime() {
    return request.get({ url: '/time/getTime' })
}

// 设置预约时长
export function apiSetOrderTime(params: any) {
    return request.post({ url: '/time/setTime', params })
}

// 获取时间段列表
export function apiOrderTimeLists(params: any) {
    return request.get({ url: '/time/list', params })
}

// 获取时间段详情
export function apiOrderTimeDetail(params: any) {
    return request.get({ url: '/time/detail', params })
}

// 添加时间段
export function apiOrderTimeAdd(params: any) {
    return request.post({ url: '/time/add', params })
}

// 编辑时间段
export function apiOrderTimeEdit(params: any) {
    return request.post({ url: '/time/edit', params })
}

// 删除时间段
export function apiOrderTimeDel(params: any) {
    return request.post({ url: '/time/batchDel', params })
}

// --------------------------------------------------------------------

// 服务时间列表
export function apiGoodsTimeList(params: any) {
    return request.get({ url: '/goods/time/list', params })
}

// 编辑服务时间
export function apiGoodsTimeEdit(params: any) {
    return request.post({ url: '/goods/time/edit', params })
}

// 服务时间修改状态
export function apiGoodsTimeUpdateStatus(params: any) {
    return request.post({ url: '/goods/time/updateStatus', params })
}

// 服务时间新增
export function apiAddGoodsTime(params: any) {
    return request.post({ url: '/goods/time/add', params })
}

// 服务时间编辑
export function apiEditGoodsTime(params: any) {
    return request.post({ url: '/goods/time/edit', params })
}

// 服务时间详情
export function apiGetGoodsTimeDetail(params: any) {
    return request.get({ url: '/goods/time/detail', params })
}

// 服务时间删除
export function apiGetGoodsTimeDel(params: any) {
    return request.post({ url: '/goods/time/del', params })
}

// 服务时间所有数据
export function apiGetGoodsTimeAllList(params: any) {
    return request.get({ url: '/goods/time/all', params })
}
